Subject: Re: [PATCH] BOOKE_WDT Part 1/2 (Re: PPC 44x Watchdog timer)

From: Takeharu KATO <[email-masked]>
Date: Tue, 17 May 2005 14:59:01 +0900

Hi Kumar:

Kumar Gala wrote:
> No problem, can you replace all the cmd line parsing with early_param() 
> code in arch/ppc/kernel/setup.c.  Take a look at 
> arch/ppc64/kernel/setup.c for an example.  We still need to add a call 
> to parse_early_param() in setup_arch().
>
Sorry, I can not figure out what you want.
As far as I look the source tree,arch/ppc/kernel/setup.c does not have 
the function called early_param.
Would you give me a more precise explanation?

> Matt & I need to talk about the driver patch.  Once I have more feedback 
> on that I'll let you know.  The major issue I have is having the 
> interrupt handler in drivers/char/watchdog/.. instead of 
> arch/ppc/kernel/traps.c.  However, I dont have a good idea how to 
> structure the changes.
>

Certainly, moving the interrupt handler from 
drivers/char/watchdog/booke_wdt.c to arch/ppc/kernel/traps.c
is easy, but I can not tell whether it is good or not.

But the handler is not used by the core kernel.
 From this point of view, the handler should not be placed
in arch/ppc/kernel/traps.c. This is the reason why I locate
the exception handler in the driver part.

Anyway, I'll try to move this handler into arch/ppc/kernel/traps.c
for the moment.